// not UNIX
// CntrItem.cpp : implementation of the CStrawberryCntrItem class
//

#include "stdafx.h"
#include "Strawberry.h"

#include "StrawberryDoc.h"
#include "StrawberryView.h"
#include "CntrItem.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CStrawberryCntrItem implementation

IMPLEMENT_SERIAL(CStrawberryCntrItem, CRichEditCntrItem, 0)

CStrawberryCntrItem::CStrawberryCntrItem(REOBJECT* preo, CStrawberryDoc* pContainer)
    : CRichEditCntrItem(preo, pContainer)
{
    // TODO: add one-time construction code here
}

CStrawberryCntrItem::~CStrawberryCntrItem()
{
    // TODO: add cleanup code here
}


// CStrawberryCntrItem diagnostics

#ifdef _DEBUG
void CStrawberryCntrItem::AssertValid() const
{
    CRichEditCntrItem::AssertValid();
}

void CStrawberryCntrItem::Dump(CDumpContext& dc) const
{
    CRichEditCntrItem::Dump(dc);
}
#endif

